Package org.eclipse.birt.chart.ui.swt.interfaces

# Interface IFormatSpecifierHandler

public interface IFormatSpecifierHandler
This interface defines method(s) to process format specifier.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.birt.chart.model.attribute.FormatSpecifier`
`handleFormatSpecifier(org.eclipse.swt.widgets.Shell shellParent, String title, org.eclipse.birt.chart.model.attribute.AxisType[] axisTypes, org.eclipse.birt.chart.model.attribute.FormatSpecifier formatspecifier, org.eclipse.emf.ecore.EObject target, String attrName, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context)`
Creates a UI to process format specifier.

## Method Details

### handleFormatSpecifier

org.eclipse.birt.chart.model.attribute.FormatSpecifier handleFormatSpecifier(org.eclipse.swt.widgets.Shell shellParent, String title, org.eclipse.birt.chart.model.attribute.AxisType[] axisTypes, org.eclipse.birt.chart.model.attribute.FormatSpecifier formatspecifier, org.eclipse.emf.ecore.EObject target, String attrName, org.eclipse.birt.chart.ui.swt.wizard.ChartWizardContext context)
Creates a UI to process format specifier.

Parameters:
  `shellParent` -
  `title` -
  `formatspecifier` -
  `target` -
  `attrName` -
  `context` -
  `axisType` -
Returns:
  instance of format specifier